Bug 804126 - Kernel 3.2.10-2 brings system to a crawl
Kernel 3.2.10-2 brings system to a crawl
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 11:26 EDT by Sammy
Modified: 2012-07-10 17:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 17:50:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages for last reboot (95.19 KB, text/plain)
2012-03-16 14:19 EDT, Sammy
no flags Details

  None (edit)
Description Sammy 2012-03-16 11:26:08 EDT
Hi,

I was testing kernel 3.2.10-2 from koji.

After using the machine for a while one suddenly gets messages saying 
certain irq's are disabled. At the point the system slows down to a crawl.
Restarting X etc does not change anything. Reboot fixes the problem.

It happened all two different machines. Both are DELL T5500's. One with
a quad CPU the other dual six-core cpu's.

I don't  think 3.2.10-1 was doing this.
FYI
Comment 1 Josh Boyer 2012-03-16 12:01:05 EDT
There was a bad patch included in 3.2.10-2.  Could you try this kernel here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3898618
Comment 2 Sammy 2012-03-16 13:50:25 EDT
OK. I am trying so far so good. But the IRQ messages came after a few hours
of working. I am not sure what triggers it to suddenly decide to eliminate
some irq's, but in the past these messages did not effect the system performance.
Comment 3 Josh Boyer 2012-03-16 14:10:55 EDT
(In reply to comment #2)
> OK. I am trying so far so good. But the IRQ messages came after a few hours
> of working. I am not sure what triggers it to suddenly decide to eliminate
> some irq's, but in the past these messages did not effect the system
> performance.

Can you post the full dmesg from that kernel boot as well?
Comment 4 Sammy 2012-03-16 14:16:46 EDT
OK. I am trying so far so good. But the IRQ messages came after a few hours
of working. I am not sure what triggers it to suddenly decide to eliminate
some irq's, but in the past these messages did not effect the system performance.
Comment 5 Sammy 2012-03-16 14:18:18 EDT
Sorry about the repost....I am attaching the segment from the messages file
for the last reboot. I am not getting dmesg files in Fedora 16 anymore but
just boot,log and messages!
Comment 6 Sammy 2012-03-16 14:19:01 EDT
Created attachment 570674 [details]
messages for last reboot
Comment 7 Sammy 2012-03-18 09:00:38 EDT
I see that kernel 3.2.10-3 have been pushed to updates. Does this contain
the fix? Thanks
Comment 8 Josh Boyer 2012-03-19 10:42:50 EDT
(In reply to comment #7)
> I see that kernel 3.2.10-3 have been pushed to updates. Does this contain
> the fix? Thanks

It drops the broken patch that was in 3.2.10-2, so yes 3.2.10-3 should fix the issue you were seeing.  The next kernel update submitted after that will have a fixed version of the patch that is found in the 2.2 kernel you are testing.

Note You need to log in before you can comment on or make changes to this bug.